Commit 8092a9ac authored by Francesco Colista's avatar Francesco Colista

community/prosody: security upgrade to 0.11.9

This upgrade fixes the following CVEs:
-CVE-2021-32917
-CVE-2021-32918
-CVE-2021-32919
-CVE-2021-32920
-CVE-2021-32921

Fixes #12671
parent bf35fd30
......@@ -2,7 +2,7 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
_luaver=5.2
pkgname=prosody
pkgver=0.11.8
pkgver=0.11.9
pkgrel=0
pkgdesc="Lua based Jabber/XMPP server"
url="https://prosody.im/"
......@@ -22,6 +22,14 @@ source="https://prosody.im/downloads/source/prosody-$pkgver.tar.gz
$pkgname.initd
"
# secfixes:
# 0.11.9-r0:
# - CVE-2021-32917
# - CVE-2021-32918
# - CVE-2021-32919
# - CVE-2021-32920
# - CVE-2021-32921
build() {
./configure \
--prefix=/usr \
......@@ -53,7 +61,9 @@ package() {
install -D -m755 "$srcdir"/"$pkgname".initd "$pkgdir"/etc/init.d/"$pkgname"
}
sha512sums="b0b7e1d3e41f47f0f88ad5b76444e4959b20f4c7a937f3cc605ba6ed5d92e713a3054dcb61ee6629063883a8f9ff1a03952893de4a0d840dcec4e5e42079eb57 prosody-0.11.8.tar.gz
sha512sums="
fabbbbb1acb3de4ff01e3e8c6e9e4dc37cb161259f1649683a1f9d925ed9f1709e052bfc831cba3f1861a9cca599f2b725ee739bfcb57164d6f50ac07011b52a prosody-0.11.9.tar.gz
3613c009e77c086468c960c6629827092d8bf95176ec37bb7b3a3420b7ccf059d8e70d76c7de9e17ad01d1d09852070004f538872f64879cb747fc3f4f4ebdbd prosody.cfg.lua.patch
20bc16c981072be39f967d27ed983aaae16383d922172a4f0751858d4bd12a521496d5f621ef178e9a0da61102d4c01ba709f63ad9ddf5b8e55fbb5f6793e7cb prosody.logrotate
24360603dbd5d2a92758e6c4b4aab4f02cbd05373580cba2df76df98b6045891e8108e8c2d16af9508e93968ed5880db952e7a21b2742ebeec6f14b167968c2c prosody.initd"
24360603dbd5d2a92758e6c4b4aab4f02cbd05373580cba2df76df98b6045891e8108e8c2d16af9508e93968ed5880db952e7a21b2742ebeec6f14b167968c2c prosody.initd
"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment